Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008193TestLinkReportspublic2018-02-07 17:512018-09-16 11:01
Reportertjosephine 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008193: Test report generated as Pseudo MS Word does not contain pictures
DescriptionWhen a test case description or test case steps contain pictures, after executing the test case, the Test Plan Report/Test Report/Test Report on Build (Pseudo MS Word) are generated without including the pictures.

If the report format = HTML, there is no issue when the Test Report is generated. All pictures are visible.
Steps To Reproduce- Create a test case and add a picture in the Description
- Execute the test case
- In Reports and Metrics, select Report Format = Pseudo MS Word and generate Test Plan Report/Test Report/Test Report on build for your execution

All execution details are printed without the picture
Additional Informationif report format = HTML, there is no issue.
The reports are generated with picture included
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome v.58
PHP Version5.6.14
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon test_report_no_picture.png [^] (204,702 bytes) 2018-02-07 17:51


doc file icon test_report-2018-02-21.doc [^] (333,814 bytes) 2018-02-21 19:37
jpg file icon TC_steps_with_picture.jpg [^] (123,213 bytes) 2018-02-21 19:38

- Relationships
child of 0008241new Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0027185)
fman (administrator)
2018-02-10 08:53

please get latest code from github,do fresh install, retest & provide feedback
(0027195)
tjosephine (reporter)
2018-02-14 15:36

I will, as soon as I can.
Do you know please when release 1.9.17 is officially announced?
(0027221)
tjosephine (reporter)
2018-02-21 19:43

I got the latest code from github and did a fresh install.
The issue is still there.
All Pseudo MS Word reports don't contain the pictures (see doc file attached)

Whereas in HTML, the reports include pictures (see TC_steps_with_picture.jpg)
(0027830)
BerndLudewig (reporter)
2018-09-11 15:15

We have the same issue.
Please prioritize this up. Thanks!
(0027832)
BerndLudewig (reporter)
2018-09-11 15:36

This is a link https://stackoverflow.com/questions/2329897/how-to-display-images-in-word-generated-from-html [^] where the same problem occured. Maybe this helps finding a solution...
(0027833)
fman (administrator)
2018-09-11 17:34

unfortunately, comments as present on note 27830, does not provide any help.
what is useful is to have time on your side to develop the solution, or getting a budget on your company to pay for the development you need.
Several companies in the past have done this, and these contribution where added to stable code
(0027840)
BerndLudewig (reporter)
2018-09-12 11:02

There is a java script available which seems to do exactly what is needed:
https://github.com/evidenceprime/html-docx-js [^]
Maybe you can use this for the final conversion.
As far as I have analyzed your code you always create an html document with images in form of data url in base64 mode.
Those images are correctly interpreted by ms word.
Maybe it would be easy for you to use the mentioned java script before saving the file (output would be a real docx file). It would be nice if the testlink ui would allow to specify the page orientation (landscape|portrait).
I will also try to integrate it by myself and if I succeed I will share this...
(0027841)
fman (administrator)
2018-09-12 12:33

Adding more and more things in an issue is from my point of view is absolutely wrong (
It would be nice if the testlink ui would allow to specify the page orientation (landscape|portrait). 9, making task management an nightmare.

Great to know you are going to put effort on this request
(0027843)
tjosephine (reporter)
2018-09-12 16:05

Hi BerndLudewig, if you are able to find a solution using the Java script, I would appreciate the share. Inside my organization, we are also stuck with this issue. Thanks!
(0027852)
fman (administrator)
2018-09-15 08:23

There is an important detail:

I'm pretty sure (I'm going to test now) I can display images when these images has been managed by testlink standard upload and link methods, but do not know what happens if you use the CFKEditor image management


The issue I found on a test spec report regards image dimensions => this need some fix. but is ANOTHER issue
(0027855)
fman (administrator)
2018-09-15 17:19

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/bead26644f4b4703f4d1bdbf212793ced84c07ff [^]

- Issue History
Date Modified Username Field Change
2018-02-07 17:51 tjosephine New Issue
2018-02-07 17:51 tjosephine File Added: test_report_no_picture.png
2018-02-10 08:53 fman Note Added: 0027185
2018-02-10 08:53 fman Assigned To => fman
2018-02-10 08:53 fman Status new => feedback
2018-02-14 15:36 tjosephine Note Added: 0027195
2018-02-14 15:36 tjosephine Status feedback => assigned
2018-02-21 19:37 tjosephine File Added: test_report-2018-02-21.doc
2018-02-21 19:38 tjosephine File Added: TC_steps_with_picture.jpg
2018-02-21 19:43 tjosephine Note Added: 0027221
2018-09-11 15:15 BerndLudewig Note Added: 0027830
2018-09-11 15:36 BerndLudewig Note Added: 0027832
2018-09-11 17:34 fman Note Added: 0027833
2018-09-12 11:02 BerndLudewig Note Added: 0027840
2018-09-12 12:33 fman Note Added: 0027841
2018-09-12 16:05 tjosephine Note Added: 0027843
2018-09-15 08:23 fman Note Added: 0027852
2018-09-15 17:19 fman Note Added: 0027855
2018-09-15 17:19 fman QA Team - Task Workflow Status => TBD
2018-09-15 17:19 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-09-15 17:20 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-09-15 17:20 fman Status assigned => resolved
2018-09-15 17:20 fman Resolution open => fixed
2018-09-16 11:01 fman Relationship added child of 0008241



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker